<div class="form-group" [formGroup]="form">
    <div class="input-group">
        <input class="form-control" formControlName="{{filter.name}}" placeholder="{{ filter.placeholder | translate }}" name="{{filter.name}}" id="{{filter.name}}" ngbDatepicker #d2="ngbDatepicker" autocomplete="off" (click)="d2.toggle()">
        <div class="input-group-append">
            <div class="input-group-text" (click)="d2.toggle()">
                <i class="fa fa-calendar" style="cursor: pointer;"></i>
            </div>
        </div>
    </div>
</div>